Create Applicant: Yardi
https://api.propexo.com/v1/applicants/yardi/Create Applicant: Yardi. When creating an applicant along with an event, Propexo will create a base event of type "Other" as an initial applicant event. If the event is one of the valid "first contact" events in Yardi (such as Other,WalkIn,Chat,Email,Text,Webservice), then Propexo will create the applicant with the associated "first contact" event type.
| Interface | Method |
|---|---|
| ILS Guest Card | ImportYardiGuest_Login |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the lead source
The Propexo unique identifier for the employee
A unique value provided to the PMS to uniquely identify the applicant from your system.
Possible values: non-empty
The name of your organization. Yardi uses this for associating a applicant
The first name associated with the applicant
The last name associated with the applicant
Primary phone number associated with the applicant
Type of the primary phone number
Show 4 enum values
FAXHOMEMOBILEWORKSecondary phone number associated with the applicant
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe primary email address associated with the applicant
The first address line associated with the applicant
The second address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
The zip code associated with the applicant
The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used
Show 2 variants
The desired number of bedrooms
The amount of months for the lease term
Notes associated with the applicant
events object[]
A list of events to create for the new applicant
The Propexo unique identifier for the employee
The Propexo unique identifier for the lead source
The Propexo unique identifier for the unit. Only some events use this, including "Show" and "Appointment".
The name or type of event. This has to be from a predefined set of events.
Show 13 enum values
CallToProspectCallFromProspectOtherWalkInChatEmailTextWebserviceAppointmentShowApplicationSelfGuidedTourApplicationThe date when the event will occur
Notes associated with the event
Possible values: <= 256 characters
The reasons for the event
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the lead source
The Propexo unique identifier for the employee
A unique value provided to the PMS to uniquely identify the applicant from your system.
Possible values: non-empty
The name of your organization. Yardi uses this for associating a applicant
The first name associated with the applicant
The last name associated with the applicant
Primary phone number associated with the applicant
Type of the primary phone number
Show 4 enum values
FAXHOMEMOBILEWORKSecondary phone number associated with the applicant
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe primary email address associated with the applicant
The first address line associated with the applicant
The second address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
The zip code associated with the applicant
The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used
Show 2 variants
The desired number of bedrooms
The amount of months for the lease term
Notes associated with the applicant
events object[]required
The Propexo unique identifier for the employee
The Propexo unique identifier for the lead source
The Propexo unique identifier for the unit. Only some events use this, including "Show" and "Appointment".
The name or type of event. This has to be from a predefined set of events.
Show 13 enum values
CallToProspectCallFromProspectOtherWalkInChatEmailTextWebserviceAppointmentShowApplicationSelfGuidedTourApplicationThe date when the event will occur
Notes associated with the event
Possible values: <= 256 characters
The reasons for the event
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/applicants/yardi/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"lead_source_id": "string",
"employee_id": "string",
"third_party_id": "string",
"organization_name": "string",
"first_name": "string",
"last_name": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"lead_source_id": "string",
"employee_id": "string",
"third_party_id": "string",
"organization_name": "string",
"first_name": "string",
"last_name": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_lease_term_in_months": "string",
"notes": "string",
"events": "Unknown Type: array,null"
}
}